Bug 1187773 - [abrt] dnf: copr.py:230:_download_repo:NameError: global name 'e' is not defined
[abrt] dnf: copr.py:230:_download_repo:NameError: global name 'e' is not defined
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3ff470c3c828adb3c8fadf69df3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-30 15:24 EST by Rahul Chowdhury
Modified: 2015-02-20 03:32 EST (History)
7 users (show)

See Also:
Fixed In Version: hawkey-0.5.3-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-20 03:32:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.17 KB, text/plain)
2015-01-30 15:24 EST, Rahul Chowdhury
no flags Details
File: environ (2.34 KB, text/plain)
2015-01-30 15:24 EST, Rahul Chowdhury
no flags Details

  None (edit)
Description Rahul Chowdhury 2015-01-30 15:24:29 EST
Version-Release number of selected component:
dnf-0.6.3-2.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python -OO /bin/dnf copr enable dvratil/plasma-5 dnf enable dvratil/kf5-next
dso_list:       dnf-plugins-core-0.1.4-1.fc21.noarch
executable:     /bin/dnf
kernel:         3.18.3-201.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
copr.py:230:_download_repo:NameError: global name 'e' is not defined

Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 182, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 134, in _main
    cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1059, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/copr.py", line 111, in run
    self._download_repo(project_name, repo_filename, chroot)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/copr.py", line 230, in _download_repo
    raise dnf.exceptions.Error(str(e))
NameError: global name 'e' is not defined

Local variables in innermost frame:
api_path: '/coprs/dvratil/plasma-5/repo/dnf/'
project_name: u'dvratil/plasma-5'
repo_filename: '/etc/yum.repos.d/_copr_dvratil-plasma-5.repo'
chroot: u'dnf'
r: <Response [500]>
cls: <class 'dnf.plugin.dynamic.copr.CoprCommand'>
Comment 1 Rahul Chowdhury 2015-01-30 15:24:35 EST
Created attachment 986218 [details]
File: backtrace
Comment 2 Rahul Chowdhury 2015-01-30 15:24:38 EST
Created attachment 986219 [details]
File: environ
Comment 3 Radek Holy 2015-02-02 03:20:06 EST
I'm pretty sure this is a bug in dnf-plugins-core introduced by commit 88d7f2d. Mirek, can you please take a look?
Comment 4 Miroslav Suchý 2015-02-02 07:02:01 EST
Fixed in commit:
* 6821df6  1187773 - replace undefined variable
Comment 5 Fedora Update System 2015-02-15 19:03:02 EST
dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21
Comment 6 Fedora Update System 2015-02-17 03:03:56 EST
Package hawkey-0.5.3-2.fc21, dnf-plugins-core-0.1.5-1.fc21, dnf-0.6.4-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.5.3-2.fc21 dnf-plugins-core-0.1.5-1.fc21 dnf-0.6.4-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2139/dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2015-02-20 03:32:13 EST
hawkey-0.5.3-2.fc21, dnf-plugins-core-0.1.5-1.fc21, dnf-0.6.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.